## org.codehaus.groovy.grails.webflow.config
Class GrailsAwareFlowExecutorFactoryBean

    java.lang.Object
      org.springframework.webflow.config.FlowExecutorFactoryBean
          org.codehaus.groovy.grails.webflow.config.GrailsAwareFlowExecutorFactoryBean

All Implemented Interfaces:
  GrailsApplicationAware, FactoryBean, InitializingBean

    public class GrailsAwareFlowExecutorFactoryBean

extends org.springframework.webflow.config.FlowExecutorFactoryBean
implements GrailsApplicationAware

Extends Spring WebFlow's FlowExecutorFactoryBean to supply an alternative implementation of the ContinuationFlowExecutionRepository that is capable of loading classes from the Grails class loader

Since:
  0.6

  Created: Jul 6, 2007 Time: 10:39:36 PM
Author:
  Graeme Rocher
See Also:
  `ContinuationFlowExecutionRepository`, `FlowExecutorFactoryBean`

Constructor Summary
`GrailsAwareFlowExecutorFactoryBean()`

Method Summary

`protected org.springframework.webflow.execution.repository.FlowExecutionRepository`

`createExecutionRepository(org.springframework.webflow.config.RepositoryType repositoryType, org.springframework.webflow.execution.repository.support.FlowExecutionStateRestorer executionStateRestorer, org.springframework.webflow.conversation.ConversationManager conversationManager)`
Overrides default implementation to supply an alternative implemenation of ContinuationFlowExecutionRepository when the repositoryType a CONTINUATION repository

`protected org.springframework.webflow.executor.FlowExecutor`

`createFlowExecutor(org.springframework.webflow.definition.registry.FlowDefinitionLocator definitionLocator, org.springframework.webflow.execution.FlowExecutionFactory executionFactory, org.springframework.webflow.execution.repository.FlowExecutionRepository executionRepository)`
Create the flow executor instance created by this factory bean and configure it appropriately.

`void` `setGrailsApplication(GrailsApplication grailsApplication)` The GrailsApplication instance to use to load classes from

Methods inherited from class org.springframework.webflow.config.FlowExecutorFactoryBean

`afterPropertiesSet, createDefaultConversationManager, createFlowExecutionFactory, createFlowExecutionStateRestorer, getFlowExecutor, getInputMapper, getMaxContinuations, getMaxConversations, getObject, getObjectType, isSingleton, setConversationManager, setDefaults, setDefinitionLocator, setExecutionAttributes, setExecutionListener, setExecutionListenerLoader, setExecutionListeners, setInputMapper, setMaxContinuations, setMaxConversations, setRepositoryType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsAwareFlowExecutorFactoryBean

    public GrailsAwareFlowExecutorFactoryBean()

Method Detail

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

  The GrailsApplication instance to use to load classes from

  Specified by:
    `setGrailsApplication` in interface `GrailsApplicationAware`
  Parameters:
    `grailsApplication` - The GrailsApplication instance

### createFlowExecutor

    protected org.springframework.webflow.executor.FlowExecutor createFlowExecutor(org.springframework.webflow.definition.registry.FlowDefinitionLocator definitionLocator,
                                                                                   org.springframework.webflow.execution.FlowExecutionFactory executionFactory,
                                                                                   org.springframework.webflow.execution.repository.FlowExecutionRepository executionRepository)

  Create the flow executor instance created by this factory bean and configure it appropriately. Subclasses may override if they which to use a custom executor implementation.

  Overrides:
    `createFlowExecutor` in class `org.springframework.webflow.config.FlowExecutorFactoryBean`
  Parameters:
    `definitionLocator` - the definition locator to use
    `executionFactory` - the execution factory to use
    `executionRepository` - the execution repository to use
  Returns:
    a new flow executor instance

### createExecutionRepository

    protected org.springframework.webflow.execution.repository.FlowExecutionRepository createExecutionRepository(org.springframework.webflow.config.RepositoryType repositoryType,
                                                                                                                 org.springframework.webflow.execution.repository.support.FlowExecutionStateRestorer executionStateRestorer,
                                                                                                                 org.springframework.webflow.conversation.ConversationManager conversationManager)

  Overrides default implementation to supply an alternative implemenation of ContinuationFlowExecutionRepository when the repositoryType a CONTINUATION repository

  Overrides:
    `createExecutionRepository` in class `org.springframework.webflow.config.FlowExecutorFactoryBean`
  See Also:
    `RepositoryType.CONTINUATION`, `FlowExecutorFactoryBean.createExecutionRepository(org.springframework.webflow.config.RepositoryType, org.springframework.webflow.execution.repository.support.FlowExecutionStateRestorer, org.springframework.webflow.conversation.ConversationManager)`

Copyright (c) 2005-2006 The Grails project